Bug 229397 - New port: net/frr5
Summary: New port: net/frr5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-28 20:22 UTC by Kurt Jaeger
Modified: 2018-07-06 07:41 UTC (History)
2 users (show)

See Also:


Attachments
frr5.shar (13.99 KB, text/plain)
2018-06-28 20:22 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2018-06-28 20:22:33 UTC
Created attachment 194712 [details]
frr5.shar

New port for frr5
Comment 1 Kurt Jaeger freebsd_committer 2018-06-28 20:23:33 UTC
Please comment if you want to be the maintainer 8-}

Needs testbuilds, run-tests.
Comment 2 Olivier Cochard freebsd_committer 2018-06-28 23:34:18 UTC
Thanks, I had a FRR 5.0 port on my workstation too, but still didn't committed  because FRR 4.0 had regressions and I need to be sure was fixed on FRR 5.0:
- https://github.com/FRRouting/frr/issues/2338 (tun/gre/)
- https://github.com/FRRouting/frr/pull/2355 (SNMP option fixes)

About this shar version, it didn't build because it miss a doc build deps:

gmake[4]: Entering directory '/wrkdirs/usr/ports/net/frr5/work/frr-frr-5.0/doc/manpages'
../frr-sphinx.mk:24: *** "The 'sphinx-1.0-build' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD make variable to point to the full path of the 'sphinx-1.0-build' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/".  Stop.
gmake[4]: Leaving directory '/wrkdirs/usr/ports/net/frr5/work/frr-frr-5.0/doc/manpages'
gmake[3]: *** [Makefile:719: all-recursive] Error 1

Once this dependencies fixed, there is another problem regarding the plist:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%ETCDIR%%/pbrd.conf.sample
Error: Orphaned: include/frr/debug.h
Error: Orphaned: include/frr/logicalrouter.h
Error: Orphaned: include/frr/nexthop_group.h
Error: Orphaned: include/frr/pbr.h
Error: Orphaned: man/man8/pbrd.8.gz
Error: Orphaned: sbin/pbrd
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: man/man8/frr-args.8.gz
===> Error: Plist issues found.

These issues are solved on my version, but I still need to:
- fix build with SNMP option
- Test for  FRR 4.0 regressions against FRR 5.0
Comment 4 Alexey 2018-07-02 13:32:10 UTC
and I know that frr 5.0 have problem with TAB key: https://github.com/FRRouting/frr/issues/2433

this problem fix on master branch: https://github.com/FRRouting/frr/pull/2581/files

This problem is not present in the 4th version of the FRR.
Comment 5 Olivier Cochard freebsd_committer 2018-07-02 14:00:15 UTC
After my regression tests of FRR5:
- The tun/gre/gif/etc. bugs introduced in FRR4 is fixed on FRR5 (but no mention of this fix in the release notes). Any I can back-port these pull-request into the net/frr4 port.
- FRR5 allows to build with the SNMP option now.

I've found a new regression on FRR5:
- There is a bug with IPv6 and ISIS, but I don't think there are lot's of users of these feature mix (https://github.com/FRRouting/frr/issues/2584)

I didn't notice the TAB bug on my side.

My Work-in-progress version here:
https://github.com/ocochard/BSDRP/blob/master/BSDRP/patches/ports.frr5.shar
Comment 6 Alexey 2018-07-05 10:36:06 UTC
hello.
Today there was an update.
https://github.com/FRRouting/frr/releases/tag/frr-5.0.1
Comment 7 commit-hook freebsd_committer 2018-07-06 07:36:51 UTC
A commit references this bug:

Author: olivier
Date: Fri Jul  6 07:36:10 UTC 2018
New revision: 473998
URL: https://svnweb.freebsd.org/changeset/ports/473998

Log:
  New port: net/frr5 (5.0.1).

  PR:		229397
  Reported by: 	pi
  Sponsored by:	Orange

  Fix build with SNMP option.

  PR:		228159
  Reported by:	pautina@kharkiv.net

  Fix crash with gif/tun/gre interface.

  PR:		228643
  Reported by:	mike@sentex.net

Changes:
  head/net/Makefile
  head/net/frr3/Makefile
  head/net/frr4/Makefile
  head/net/frr5/
  head/net/frr5/Makefile
  head/net/frr5/distinfo
  head/net/frr5/files/patch-Makefile.am
  head/net/frr5/files/patch-configure.ac
  head/net/frr5/files/patch-lib_vty.h
  head/net/frr5/files/patch-zebra_ioctl.c
  head/net/frr5/pkg-message
  head/net/frr5/pkg-plist
  head/net/quagga/Makefile
Comment 8 Olivier Cochard freebsd_committer 2018-07-06 07:41:02 UTC
Hope this new net/frr5 (5.0.1) will suit you.